> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# SQ_BindAgent

POST https://api.voximplant.com/platform_api/SQ_BindAgent

Binds agents to a queue.

**Example request:** Bind the agent with id 1 and 2 to the queue with id = 1.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/smartqueue/sq-bind-agent

## Authentication

- `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

## Request

### Query parameters

- `application_id` (integer, required) — Application ID to search by
- `application_name` (string, optional) — Application name to search by. Can be used instead of **application_id**
- `sq_queue_id` (string, required) — ID of the SmartQueue. Pass a list of values divided by ; or the "all" keyword
- `sq_queue_name` (string, optional) — Name of the SmartQueue. Pass a list of names divided by ; or the "all" keyword
- `user_id` (list of integer, required) — List of user IDs separated by semicolons (;). Use 'all' to select all the users
- `user_name` (list of string, optional) — List of user names separated by semicolons (;). Can be used instead of **user_id**
- `bind_mode` (string, optional, default: add_queues) — Binding mode. Accepts one of the [SQAgentBindingModes] enum values

## Response

### 200

Successful response

- `result` (integer, optional) — Returns 1 if the request has been completed successfully

## Examples

**Response**

```json
{
  "result": 1
}
```

**SDK Code**

```python Success
import requests

url = "https://api.voximplant.com/platform_api/SQ_BindAgent"

querystring = {"application_id":"1","sq_queue_id":"sq_queue_id","user_id":"[1]"}

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Success
const url = 'https://api.voximplant.com/platform_api/SQ_BindAgent?application_id=1&sq_queue_id=sq_queue_id&user_id=%5B1%5D';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/SQ_BindAgent?application_id=1&sq_queue_id=sq_queue_id&user_id=%5B1%5D"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/SQ_BindAgent?application_id=1&sq_queue_id=sq_queue_id&user_id=%5B1%5D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/SQ_BindAgent?application_id=1&sq_queue_id=sq_queue_id&user_id=%5B1%5D")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/SQ_BindAgent?application_id=1&sq_queue_id=sq_queue_id&user_id=%5B1%5D', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/SQ_BindAgent?application_id=1&sq_queue_id=sq_queue_id&user_id=%5B1%5D");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/SQ_BindAgent?application_id=1&sq_queue_id=sq_queue_id&user_id=%5B1%5D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```